summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZhang zhengguang <zhengguang.zhang@intel.com>2014-11-20 15:58:20 +0800
committerdavid <david@david-desktop.(none)>2014-11-21 09:47:34 +0800
commitacdf5c0533b9a125baa3288a6524de4aa1e927f9 (patch)
tree7cad94ead7003b74effd3bf02b36d15d48397fb3
parentc649502c46f9796235858dfe6979ee118b9da00a (diff)
downloadlibsoup-acdf5c0533b9a125baa3288a6524de4aa1e927f9.tar.gz
libsoup-acdf5c0533b9a125baa3288a6524de4aa1e927f9.tar.bz2
libsoup-acdf5c0533b9a125baa3288a6524de4aa1e927f9.zip
Add autogen.sh
-rwxr-xr-xautogen.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..2d55b80a
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
+
+#GTKDOCIZE=`which gtkdocize`
+#if test -z $GTKDOCIZE; then
+# echo "*** No GTK-Doc found, please install it ***"
+# exit 1
+#fi
+
+#gtkdocize || exit $?
+intltoolize --automake --copy
+autoreconf --force --install --verbose
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"